Subject: git log --graph with a sort of local revision number

From: Uwe Brauer <[email-masked]>
Date: Thu, 15 Aug 2019 10:35:26 +0200

Hi

I am an occasionally git user and am very used to local revision numbers
mercurial provides in its log command. I don't want to start the
discussion whether  local revision numbers are useful or not, nor
whether mercurial is better or not.

I only want to know whether there is any possibility to have this number
in the log.

I have seen 

https://stackoverflow.com/questions/4120001/what-is-the-git-equivalent-for-revision-number

That 
git rev-list --count HEAD

But I would like to have it in the 

 git log --graph --decorate

So something like this 

o  changeset:   5:d3ae13222c31
|  tag:         tip
|  user:        Uwe Brauer <[email-masked]>
|  date:        Wed Aug 14 14:23:29 2019 +0200
|  summary:     Six
|
o  changeset:   4:64a3eee07e93
|  user:        Uwe Brauer <[email-masked]>
|  date:        Wed Aug 14 14:23:28 2019 +0200
|  summary:     Fifth

Anybody know who to achieve it?

I presume 

 git checkout revnumber

Would not work?

I know that 

 git checkout HEAD~somenumber

Works

Uwe Brauer